<template>
  <div class="child">
    {{localNumCom}}<br/>
    {{num}}
    {{changeType}}
    {{type}}
  </div>
</template>

<script>
import {mapState} from 'vuex';

export default {
  name: 'ChildOne',
  data () {
    return {
      msg: 'Welcome Child',
      localNum:1
    }
  },
  computed:{
    localNumCom(){
        return this.localNum+1;
    },
    ...mapState({
        num:state=>state.num,
        type:'num',
        changeType(state){
        return '￥'+state.num
        }
    })
  },
  methods:{
    increment(){
      this.$store.commit('increment');
    },
    decrease(){
      this.$store.commit('decrease')
    },
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
